Bug 185172 - Anaconda AttributeError getActualSize
Anaconda AttributeError getActualSize
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-10 23:19 EST by Jasper O. Hartline
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-13 11:39:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda exception report (44.60 KB, text/plain)
2006-03-11 12:35 EST, David Nalley
no flags Details

  None (edit)
Description Jasper O. Hartline 2006-03-10 23:19:31 EST
Description of problem:
Using Kadischi with Anaconda, and passing --rootpath= to Anaconda
which is standard for Kadischi produces an exception.
The exception occurs during Anaconda checking dependencies in the package
selection.
The summary is provided below.
----------------------------------------------
File "/usr/lib/anaconda/yuminstall.py", line 808, in doPostSelection
    if largePart.getActualSize(id.partitions, id.diskset) < self.totalSize / 1024:
AttributeError: 'NoneType' object has no attribute 'getActualSize'

Version-Release number of selected component (if applicable):
anaconda-11.0.2-1

How reproducible:
Run Kadischi using either graphical or text modes.

Steps to Reproduce:
1. kadischi --text /pub/fc5t3 -f /tmp/fc5t3.iso
2. kadischi --graphical /pub/fc5t3 -f /tmp/fc5t3.iso
3.
  
Actual results:
Exception produced.

Expected results:
Kadischi

Additional info:
A small summary is provided above if a full log
file is needed, that is available.
Comment 1 David Nalley 2006-03-11 12:35:05 EST
Created attachment 125999 [details]
Anaconda exception report

I have been experiencing this same bug
Comment 2 Chris Lumens 2006-03-13 11:39:59 EST
Fixed in Rawhide and on the branch.

Note You need to log in before you can comment on or make changes to this bug.